//**************************************************************************//
//                                                                          //
//    File: smartlog.ch                                                     //
//                                                                          //
// Version: SmartLog 3.5b                                                   //
//                                                                          //
//    Date: Mon  07-13-1995  3.52 am                                        //
//                                                                          //
//  Notice: (c)Copyright 1991-95 MetaGroup Software                         //
//                                                                          //
// this is a preprocessor header file for the SmartLog Error Handler        //
// And Recorder to facilitate a command-based interface. It must be         //
// compiled with your application by including this line in all modules     //
// that install and/or modify the SmartLog or use any supporting commands:  //
//                                                                          //
//     #include "smartlog.ch"                                               //
//                                                                          //
//**************************************************************************//

#xcommand SMARTLOG INSTALL NOVLIB ;
   [FILE <SlFile>] [PATH <SlPath>] [HEADER <SlHeader>] [MESSAGE <SlMessage>] ;
   [BREAK <SlBreak:ON,OFF,.T.,.F.>] [PRINT <SlPrint:ON,OFF,.T.,.F.>] ;
   [CREATE <SlCreate:ON,OFF,.T.,.F.>] [RETRY <SlRetry:ON,OFF,.T.,.F.>] ;
   [SUBSTITUTE <SlSubst:ON,OFF,.T.,.F.>] [DEFAULT <SlDefault:ON,OFF,.T.,.F.>] ;
   [TOFILE <SlToFile:ON,OFF,.T.,.F.>] [STRUCTURE <SlStruct:ON,OFF,.T.,.F.>] ;
   [SCREEN <SlScreen:ON,OFF,.T.,.F.>] [AUTOEXEC <SlAutoexec:ON,OFF,.T.,.F.>] ;
   [INFORM <SlInform:ON,OFF,.T.,.F.>] [SHADOW <SlShadow:ON,OFF,.T.,.F.>] ;
   [BOXCOLOR <SlBoxColor>] [MENUCOLOR <SlMenuColor>] [VIEWCOLOR <SlViewColor>] ;
   [TONE <SlTone>] [CUSTOM <SlCustom1> [, <SlCustomn>]] ;
   [INITBLOCK <SlInitBlock>] [EXITBLOCK <SlExitBlock>] => ;
   SlError2( <(SlFile)>, <(SlPath)>, <(SlHeader)>, <(SlMessage)>, ;
   <(SlBreak)>, <(SlPrint)>, <(SlCreate)>, <(SlRetry)>, <(SlSubst)>, ;
   <(SlDefault)>, <(SlToFile)>, <(SlStruct)>, <(SlScreen)>, <(SlAutoexec)>, ;
   <(SlInform)>, <(SlShadow)>, <(SlBoxColor)>, <(SlMenuColor)>, <(SlViewColor)>, ;
   <{SlTone}>, { <SlCustom1> [, <SlCustomn>] }, <{SlInitBlock}>, <{SlExitBlock}> )

#xcommand SMARTLOG INSTALL NETLIB ;
   [FILE <SlFile>] [PATH <SlPath>] [HEADER <SlHeader>] [MESSAGE <SlMessage>] ;
   [BREAK <SlBreak:ON,OFF,.T.,.F.>] [PRINT <SlPrint:ON,OFF,.T.,.F.>] ;
   [CREATE <SlCreate:ON,OFF,.T.,.F.>] [RETRY <SlRetry:ON,OFF,.T.,.F.>] ;
   [SUBSTITUTE <SlSubst:ON,OFF,.T.,.F.>] [DEFAULT <SlDefault:ON,OFF,.T.,.F.>] ;
   [TOFILE <SlToFile:ON,OFF,.T.,.F.>] [STRUCTURE <SlStruct:ON,OFF,.T.,.F.>] ;
   [SCREEN <SlScreen:ON,OFF,.T.,.F.>] [AUTOEXEC <SlAutoexec:ON,OFF,.T.,.F.>] ;
   [INFORM <SlInform:ON,OFF,.T.,.F.>] [SHADOW <SlShadow:ON,OFF,.T.,.F.>] ;
   [BOXCOLOR <SlBoxColor>] [MENUCOLOR <SlMenuColor>] [VIEWCOLOR <SlViewColor>] ;
   [TONE <SlTone>] [CUSTOM <SlCustom1> [, <SlCustomn>]] ;
   [INITBLOCK <SlInitBlock>] [EXITBLOCK <SlExitBlock>] => ;
   SlError1( <(SlFile)>, <(SlPath)>, <(SlHeader)>, <(SlMessage)>, ;
   <(SlBreak)>, <(SlPrint)>, <(SlCreate)>, <(SlRetry)>, <(SlSubst)>, ;
   <(SlDefault)>, <(SlToFile)>, <(SlStruct)>, <(SlScreen)>, <(SlAutoexec)>, ;
   <(SlInform)>, <(SlShadow)>, <(SlBoxColor)>, <(SlMenuColor)>, <(SlViewColor)>, ;
   <{SlTone}>, { <SlCustom1> [, <SlCustomn>] }, <{SlInitBlock}>, <{SlExitBlock}> )

#xcommand SMARTLOG INSTALL ;
   [FILE <SlFile>] [PATH <SlPath>] [HEADER <SlHeader>] [MESSAGE <SlMessage>] ;
   [BREAK <SlBreak:ON,OFF,.T.,.F.>] [PRINT <SlPrint:ON,OFF,.T.,.F.>] ;
   [CREATE <SlCreate:ON,OFF,.T.,.F.>] [RETRY <SlRetry:ON,OFF,.T.,.F.>] ;
   [SUBSTITUTE <SlSubst:ON,OFF,.T.,.F.>] [DEFAULT <SlDefault:ON,OFF,.T.,.F.>] ;
   [TOFILE <SlToFile:ON,OFF,.T.,.F.>] [STRUCTURE <SlStruct:ON,OFF,.T.,.F.>] ;
   [SCREEN <SlScreen:ON,OFF,.T.,.F.>] [AUTOEXEC <SlAutoexec:ON,OFF,.T.,.F.>] ;
   [INFORM <SlInform:ON,OFF,.T.,.F.>] [SHADOW <SlShadow:ON,OFF,.T.,.F.>] ;
   [BOXCOLOR <SlBoxColor>] [MENUCOLOR <SlMenuColor>] [VIEWCOLOR <SlViewColor>] ;
   [TONE <SlTone>] [CUSTOM <SlCustom1> [, <SlCustomn>]] ;
   [INITBLOCK <SlInitBlock>] [EXITBLOCK <SlExitBlock>] => ;
   SlError0( <(SlFile)>, <(SlPath)>, <(SlHeader)>, <(SlMessage)>, ;
   <(SlBreak)>, <(SlPrint)>, <(SlCreate)>, <(SlRetry)>, <(SlSubst)>, ;
   <(SlDefault)>, <(SlToFile)>, <(SlStruct)>, <(SlScreen)>, <(SlAutoexec)>, ;
   <(SlInform)>, <(SlShadow)>, <(SlBoxColor)>, <(SlMenuColor)>, <(SlViewColor)>, ;
   <{SlTone}>, { <SlCustom1> [, <SlCustomn>] }, <{SlInitBlock}>, <{SlExitBlock}> )

#xcommand SMARTLOG VIEW ;
   [FILE <SlFile>] [PATH <SlPath>] [HEADER <SlHeader>] [COLOR <SlBoxColor>] => ;
   SlViewLog( <(SlFile)>, <(SlPath)>, <(SlHeader)>, <(SlBoxColor)> )

#xcommand SMARTLOG DISPLAY NETLIB => SlDispNetLib()
#xcommand SMARTLOG DISPLAY NOVLIB => SlDispNovLib()
#xcommand SMARTLOG DISPLAY => SlDisplay()

#xcommand SMARTLOG RECORD NETLIB => SlRecNetLib()
#xcommand SMARTLOG RECORD NOVLIB => SlRecNovLib()
#xcommand SMARTLOG RECORD => SlRecord()

//************************ end of: smartlog.ch ************************//
